org.firebirdsql.jdbc

## Class FBConnectionDefaults

- java.lang.Object
- - org.firebirdsql.jdbc.FBConnectionDefaults

    public class FBConnectionDefaults
    extends java.lang.Object

Default values for JDBC connection.

Author:
  Roman Rokytskyy

### Field Summary

Fields
`static int` `DEFAULT_BLOB_BUFFER_SIZE`
`static int` `DEFAULT_SOCKET_BUFFER_SIZE` Default socket buffer size is `-1`, meaning that we will use socket buffer size default for runtime platform.

### Constructor Summary

Constructors
Constructor and Description
`FBConnectionDefaults()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_BLOB_BUFFER_SIZE

    public static final int DEFAULT_BLOB_BUFFER_SIZE

See Also:
  Constant Field Values

#### DEFAULT_SOCKET_BUFFER_SIZE

    public static final int DEFAULT_SOCKET_BUFFER_SIZE

Default socket buffer size is `-1`, meaning that we will use socket buffer size default for runtime platform.

See Also:
  Constant Field Values

### Constructor Detail

#### FBConnectionDefaults

    public FBConnectionDefaults()